=== docs/requirements.txt ===
alabaster==0.7.13
astroid==2.15.4
asttokens==2.2.1
attrs==23.1.0
Babel==2.12.1
backcall==0.2.0
beautifulsoup4==4.12.2
bleach==6.0.0
certifi==2023.5.7
charset-normalizer==3.1.0
comm==0.1.3
Cython==0.29.34
debugpy==1.6.7
decorator==5.1.1
defusedxml==0.7.1
dill==0.3.6
docutils==0.18.1
entrypoints==0.4
exceptiongroup==1.1.1
executing==1.2.0
fastjsonschema==2.17.1
idna==3.4
imagesize==1.4.1
iniconfig==2.0.0
ipykernel==6.24.0
ipyparallel==8.6.1
ipython==8.14.0
ipywidgets==8.0.7
isort==5.12.0
jedi==0.18.2
Jinja2==3.1.2
jsonschema==4.18.0
jsonschema-specifications==2023.6.1
jupyter-sphinx
jupyter_client==8.3.0
jupyter_core==5.3.1
jupyterlab-pygments==0.2.2
jupyterlab-widgets==3.0.8
lazy-object-proxy==1.9.0
MarkupSafe==2.1.3
mccabe==0.7.0
mistune==3.0.1
nbclient==0.8.0
nbconvert==7.6.0
nbformat==5.9.0
nbsphinx
nest-asyncio==1.5.6
numpy==1.24.2
packaging==23.1
pandocfilters==1.5.0
parso==0.8.3
pexpect==4.8.0
pickleshare==0.7.5
platformdirs==3.5.0
pluggy==1.0.0
prompt-toolkit==3.0.39
psutil==5.9.5
ptyprocess==0.7.0
pure-eval==0.2.2
Pygments==2.15.1
pylint==2.17.4
pytest==7.3.1
pytest-mpi==0.6
python-dateutil==2.8.2
pyzmq==25.1.0
referencing==0.29.1
requests==2.31.0
rpds-py==0.8.8
scipy==1.11.1
six==1.16.0
snowballstemmer==2.2.0
soupsieve==2.4.1
Sphinx<=6.2.1
sphinx-autodoc-typehints
sphinx-rtd-theme
sphinxcontrib-applehelp
sphinxcontrib-devhelp
sphinxcontrib-htmlhelp
sphinxcontrib-jquery
sphinxcontrib-jsmath
sphinxcontrib-qthelp
sphinxcontrib-serializinghtml
stack-data==0.6.2
tbb==2021.9.0
tinycss2==1.2.1
tomli==2.0.1
tomlkit==0.11.8
tornado==6.3.2
tqdm==4.65.0
traitlets==5.9.0
typing_extensions==4.5.0
urllib3==2.0.3
wcwidth==0.2.6
webencodings==0.5.1
widgetsnbextension==4.0.8
wrapt==1.15.0
