=== debian/changelog ===
ngspetsc (0.0~git20240318.f83b50a-3) unstable; urgency=medium

  * complex number tests Depends: python3-dolfinx-complex
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Fri, 31 May 2024 15:42:07 +0200

ngspetsc (0.0~git20240318.f83b50a-2) unstable; urgency=medium

  * drop debian patch revert_ufl_mesh_PR15.patch
    since dolfinx 0.8 is now available.
    Build-Depends: fenicsx (>= 2:0.8~)

 -- Drew Parsons <dparsons@debian.org>  Sat, 11 May 2024 11:31:08 +0200

ngspetsc (0.0~git20240318.f83b50a-1) unstable; urgency=medium

  * New upstream snapshot

 -- Drew Parsons <dparsons@debian.org>  Fri, 22 Mar 2024 00:38:09 +0100

ngspetsc (0.0~git20240130.0c8a05b-2) unstable; urgency=medium

  [ Francesco Ballarin ]
  * Fill debian/upstream/metadata 

 -- Drew Parsons <dparsons@debian.org>  Tue, 20 Feb 2024 12:37:45 +0100

ngspetsc (0.0~git20240130.0c8a05b-1) unstable; urgency=medium

  * Initial release. (Closes: #1063352)
  * Build-Depends: python3 not python3-all since netgen currently only
    builds for the default python.
  * add debian patches
    - test_no_ngsolve.patch skips ngsolve tests
      since ngsolve is not (yet) packaged for debian
      (for now use ngspetsc with fenicsx, or install ngsolve manually)
    - revert_ufl_mesh_PR15.patch reverts upstream PR#15 to work with
       dolfinx 0.7 (ufl 2023.2.0)
    - docs_build.patch removes jupyter-sphinx, which creates references
      to thebelab.css but does not install or link it
  * use debian/py3dist-overrides to define petsc4py dependency
    python3-petsc4py | python3-petsc4py-real | python3-petsc4py-complex
    Note fenicsx utilities work with the complex build of PETSc,
    though ngsolve utilities do not, see upstream Issue#17.
    (ngsolve is not yet packaged for debian)
  * Recommends: python3-slepc4py | python3-slepc4py-real |
    python3-slepc4py-complex.
  * Depends: python3-netgen
  * Build-Depends: libpetsc-real-dev as Recommended by python3-petsc4py
    (Recommends are not installed by default in buildd chroots).
    Needed to set the default PETSC_DIR path /usr/lib/petsc.
    Also for debian/tests (testing libpetsc-complex-dev as well).
  * set pytest, pylint dependencies to nothing in py3dist-overrides
    (they are listed in install_requires rather than setup_requires)

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Feb 2024 19:14:48 +0100
