=== debian/control ===
Source: ngspetsc
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>,
 Francesco Ballarin <francesco.ballarin@unicatt.it>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 fenicsx (>= 2:0.8~),
 libpetsc-real-dev,
 pybuild-plugin-pyproject,
 python3-setuptools,
 python3,
 python3-petsc4py,
 python3-mpi4py,
 python3-netgen,
 python3-numpy,
 python3-pytest <!nocheck>,
 python3-sphinx,
 python3-sphinx-autodoc-typehints <!nodoc>,
 pandoc <!nodoc>,
 python3-ipython <!nodoc>,
 python3-nbsphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>
#Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.0
Homepage: https://github.com/NGSolve/ngsPETSc
Vcs-Browser: https://salsa.debian.org/science-team/ngsPETSc
Vcs-Git: https://salsa.debian.org/science-team/ngsPETSc.git

Package: python3-ngspetsc
Architecture: all
Multi-Arch: foreign
Depends:
 python3-netgen,
 python3-numpy,
 ${python3:Depends},
 ${misc:Depends},
Recommends:
 python3-slepc4py | python3-slepc4py-real | python3-slepc4py-complex,
Suggests:
 python-ngspetsc-doc,
 fenicsx (>= 2:0.8~)
Description: a PETSc interface for NGSolve (Python 3)
 ngsPETSc is a PETSc interface for NGSolve. It extends the utility of
 meshes generated by netgen and interfaces with finite element solvers
 such as dolfinx (fenicsx) as well as NGSolve, Firedrake.
 .
 This package installs the library for Python 3.

Package: python-ngspetsc-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
Description: a PETSc interface for NGSolve (docs)
 ngsPETSc is a PETSc interface for NGSolve. It extends the utility of
 meshes generated by netgen and interfaces with finite element solvers
 such as dolfinx (fenicsx) as well as NGSolve, Firedrake.
 .
 This is the documentation package.
