=== debian/tests/control ===
Test-Command: pytest-3 -v
Depends: python3-ngspetsc,
 libpetsc-real-dev,
 fenicsx (>= 2:0.8~),
 python3-pytest

Test-Command: PETSC_DIR=/usr/lib/petscdir/petsc-complex SLEPC_DIR=/usr/lib/slepcdir/slepc-complex pytest-3 -v
Depends: python3-ngspetsc,
 python3-petsc4py-complex,
 libpetsc-complex-dev,
 fenicsx (>= 2:0.8~),
 python3-dolfinx-complex (>= 1:0.8~),
 python3-pytest
