## ngspetsc 0.0~git20241016.a196ed4

=== debian/changelog ===
ngspetsc (0.0~git20241016.a196ed4-1) unstable; urgency=medium

  * New upstream snapshot
  * Squash trailing white space in previous changelog entry
  * Standards-Version: 4.7.0
  * Remove revert_ufl_mesh_PR15.patch, since reversing that change was only
    needed to support dolfinx 0.7. We are now at dolfinx 0.9, and thus the
    change in upstream PR #15 is currently needed.
  * Remove docs_build.patch since it has been integrated upstream
  * Add patch drop_sphinxcontrib_video.patch to drop documentation dependency on
    sphinxcontrib-video, which is currently not packaged by Debian
  * Add Build-Depends on python3-sphinx-autoapi, which is now required to build
    the documentation

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sun, 03 Nov 2024 15:50:16 +0000
