=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
  python3-numpy,
  python3-pytest <!nocheck>,
  python3-sphinx,
+ python3-sphinx-autoapi <!nodoc>,
  python3-sphinx-autodoc-typehints <!nodoc>,
  pandoc <!nodoc>,
  python3-ipython <!nodoc>,
