## ngspetsc 0.0.8

=== debian/changelog ===
ngspetsc (0.0.8-3) unstable; urgency=medium

  * Add 0cc7e30e8a04e8b625671e2b3704ce9a4158b3c7.patch to include upstream PR
    #72 which fixes FTBFS with poetry 2. Closes: #1094126.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Mon, 03 Feb 2025 06:41:25 +0000

ngspetsc (0.0.8-2) unstable; urgency=medium

  * Build-Depends: python3-dolfinx rather than fenicsx
    to work around Bug#1088865 blocking fenics.

 -- Drew Parsons <dparsons@debian.org>  Mon, 30 Dec 2024 10:42:53 +0100

ngspetsc (0.0.8-1) unstable; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Sat, 14 Dec 2024 14:47:11 +0100

ngspetsc (0.0.7~a8-1) unstable; urgency=medium

  * New upstream alpha release
    - Build-Depends: python3-poetry-core
  * update debian/watch to a github release pattern
    - include uversionmangle for upstream's alpha releases

 -- Drew Parsons <dparsons@debian.org>  Sat, 23 Nov 2024 11:57:46 +0100

ngspetsc (0.0~git20241103.14a66d7-1) unstable; urgency=medium

  * New upstream snapshot
  * Add Build-Depends-Indep: libjs-mathjax and doc_local_mathjax.patch to use
    local mathjax when building the documentation
  * Add Build-Depends-Indep: libjs-requirejs

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Wed, 06 Nov 2024 09:40:49 +0000
