=== debian/control ===
--- 
+++ 
@@ -8,12 +8,13 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
- fenicsx (>= 2:0.8~),
  libpetsc-real-dev,
  pybuild-plugin-pyproject,
  python3-setuptools,
  python3,
+ python3-dolfinx,
  python3-petsc4py,
+ python3-poetry-core,
  python3-mpi4py,
  python3-netgen,
  python3-numpy,
@@ -25,6 +26,9 @@
  python3-ipython <!nodoc>,
  python3-nbsphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>
+Build-Depends-Indep:
+ libjs-mathjax,
+ libjs-requirejs
 #Testsuite: autopkgtest-pkg-python
 Standards-Version: 4.7.0
 Homepage: https://github.com/NGSolve/ngsPETSc
