## ngspetsc 0.1.0

=== debian/changelog ===
ngspetsc (0.1.0-2) unstable; urgency=medium

  * upload to unstable.
    ngsPETSC is new, so it won't hurt existing stable users.
    Make the first version in stable (trixie) as recent as possible.

 -- Drew Parsons <dparsons@debian.org>  Sat, 31 May 2025 17:47:51 +0200

ngspetsc (0.1.0-1exp1) experimental; urgency=medium

  * New upstream release
    - applies debian patch 0cc7e30...patch
    - versioned Build-Depends: python3-petsc4py (>= 3.22.1~),
      python3-netgen (>= 6.2~)
  * Build-Depends: python3-dolfinx-real <!nocheck>
    for build-time tests, otherwise python3-dolfinx might be satisfied
    by python3-dolfinx-complex

 -- Drew Parsons <dparsons@debian.org>  Fri, 30 May 2025 12:30:17 +0200
