=== debian/control ===
--- 
+++ 
@@ -13,10 +13,11 @@
  python3-setuptools,
  python3,
  python3-dolfinx,
- python3-petsc4py,
+ python3-dolfinx-real <!nocheck>,
+ python3-petsc4py (>= 3.22.1~),
  python3-poetry-core,
  python3-mpi4py,
- python3-netgen,
+ python3-netgen (>= 6.2~),
  python3-numpy,
  python3-pytest <!nocheck>,
  python3-sphinx,
