=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=ngspetsc

# ngsolve itself is not yet packaged
# for debian, only run fenicsx tests
export PYBUILD_TEST_ARGS=-v -k test_fenicsx

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
	PYTHONPATH=. make html -C docs BUILDDIR=$(CURDIR)/.pybuild/docs
