=== debian/changelog ===
ngspetsc (0.1.1-5) unstable; urgency=medium

  * debian/tests: skip test_mixed[partitioner*] on i386

 -- Drew Parsons <dparsons@debian.org>  Fri, 26 Dec 2025 16:55:14 +1000

ngspetsc (0.1.1-4) unstable; urgency=medium

  * debian/tests: run tests with default python3 only, not python3-all,
    since netgen only builds for the default python
  * update debian patch test_mixed_partitioner.patch to provide a
    ghost mode (shared_facet). cf. dolfinx PR#4003.
  * debian/rules: after dh_auto_test delete mixed_mesh.vtkhdf left
    behind by tests in pybuild's build dir

 -- Drew Parsons <dparsons@debian.org>  Tue, 23 Dec 2025 18:12:31 +0000

ngspetsc (0.1.1-3) unstable; urgency=medium

  * debian patch test_mixed_partitioner.patch checks if
    partitioner_kahip is available before running test_mixed()
    (since KAHIP support is optional in dolfinx).
    Also extends test to partitioner_scotch and default partitioner.

 -- Drew Parsons <dparsons@debian.org>  Thu, 13 Nov 2025 15:41:07 +0100

ngspetsc (0.1.1-2) unstable; urgency=medium

  * update debian/tests
    - Depends: python3-all
      and test all supported python versions.
      debian/source/lintian-overrides overrides
      test-leaves-python-version-untested for test-ngpetsc-complex
      since it calls test-ngpetsc, which uses py3versions -s.
    - skip failing tests on i386
      test_markers[2] test_markers[3]
      test_refine[2] test_refine[3]
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Sun, 26 Oct 2025 01:59:28 +0200

ngspetsc (0.1.1-1) unstable; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Fri, 24 Oct 2025 15:11:55 +0200
