=== debian/rules ===
--- 
+++ 
@@ -17,3 +17,6 @@
 execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
 execute_after_dh_auto_build-indep:
 	PYTHONPATH=. make html -C docs BUILDDIR=$(CURDIR)/.pybuild/docs
+
+execute_after_dh_auto_test:
+	rm -rf $(CURDIR)/.pybuild/cpython3_*_ngspetsc/build/mixed_mesh.vtkhdf
