=== debian/tests/control ===
Tests: test-ngpetsc
Depends: python3-ngspetsc,
 libpetsc-real-dev,
 python3-dolfinx,
 python3-pytest,
 python3

Tests: test-ngpetsc-complex
Depends: python3-ngspetsc,
 python3-petsc4py-complex,
 libpetsc-complex-dev,
 python3-dolfinx,
 python3-dolfinx-complex (>= 1:0.8~),
 python3-pytest,
 python3
